summaryrefslogtreecommitdiff
path: root/tests/chmod
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/chmod
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/chmod')
-rwxr-xr-xtests/chmod/c-option4
-rwxr-xr-xtests/chmod/equal-x4
-rwxr-xr-xtests/chmod/equals4
-rwxr-xr-xtests/chmod/setgid4
4 files changed, 8 insertions, 8 deletions
diff --git a/tests/chmod/c-option b/tests/chmod/c-option
index 36feb6d2b..167f5bb3a 100755
--- a/tests/chmod/c-option
+++ b/tests/chmod/c-option
@@ -30,7 +30,7 @@ chmod 444 $file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
. $abs_srcdir/../setgid-check
@@ -47,4 +47,4 @@ case "`cat out`" in
*) fail=1 ;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/chmod/equal-x b/tests/chmod/equal-x
index 1b1af8aea..76030e794 100755
--- a/tests/chmod/equal-x
+++ b/tests/chmod/equal-x
@@ -20,7 +20,7 @@ chmod 444 $file || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
umask 005
@@ -30,4 +30,4 @@ case "`ls -l $file`" in
*) fail=1; ls -l $file ;;
esac
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/chmod/equals b/tests/chmod/equals
index 2f833bea3..95a1e6587 100755
--- a/tests/chmod/equals
+++ b/tests/chmod/equals
@@ -19,7 +19,7 @@ touch f || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -38,4 +38,4 @@ for src in u g o; do
done
done
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/chmod/setgid b/tests/chmod/setgid
index b7f9ad14c..bd9c154fd 100755
--- a/tests/chmod/setgid
+++ b/tests/chmod/setgid
@@ -47,7 +47,7 @@ chmod g+s d 2> /dev/null ||
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -70,4 +70,4 @@ chmod 755 d
# For now, this test simply confirms the existing behavior.
p=`ls -ld d|sed 's/ .*//'`; case $p in drwxr-xr-x);; *) fail=1;; esac
-(exit $fail); exit
+(exit $fail); exit $fail